﻿@using SSCMvc.Models
@using System.Web.UI.WebControls
@model IEnumerable<SSCMvc.Models.MaGroupAssign>
@{
    ViewBag.Title = "AssignCode";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<style>
    #refreshbtn { display: none; }
</style>
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            hidedrops();
        });
        $("#refreshbtn").click(function () {
            window.location.reload();
        });
        $("#updateselection").click(function () {
            $("#refreshbtn").css('display', 'block');
            var rows = $("#a").children("tbody:first").children("tr");    // Find all rows in table (content)
            var genders = rows.children("td:nth-child(5)");    // Find all columns that are the 2nd child
            genders.each(function () {
                var valueofStatus = $(this).find('input:checkbox').is(":checked");
                // Just to demonstrate how to iterate through each found column
                if (valueofStatus) {
                    var brandvalue = $(this).closest('tr').find('td').first().text();
                    $.post("/MaCourse/UpdateCode", { id: brandvalue, st: "true" }, function (data) {
                    });
                }
                else {
                    var brandvalue = $(this).closest('tr').find('td').first().text();
                    $.post("/MaCourse/UpdateCode", { id: brandvalue, st: "false" }, function (data) {
                    });
                }
            });
        });
        $('#Courses').change(function () {
            hidedrops();
            var cval = $('#Courses :selected').text();
            if (cval == "IELTS") {
                $('#ie').show();
            }
            if (cval == "PTE") {
                $('#pt').show();
            }
            if (cval == "GRAMMAR") {
                $('#gr').show();
            }
            if (cval == "ENDEAVOUR") {
                $('#en').show();
            }
        });
        $('#Createbtn').click(function () {
            var cid = $('#Courses').val();
            var cval = $('#Courses :selected').text();
            var gid = 0;
            if (cval == "IELTS") {
                gid = $("#ie").val();
            }
            if (cval == "GRAMMAR") {
                gid = $('#gr').val();
            }
            if (cval == "ENDEAVOUR") {
                gid = $('#en').val();
            }
            if (cval == "PTE") {
                gid = $('#pt').val();
            }
            if (gid != 0) {
                window.location.href = "/MaCourse/AssignCode?course=" + cid + "&&group=" + gid;
            }
            else {
                window.location.href = "/MaCourse/AssignCode?course=" + cid;
            }
        });
        function hidedrops() {
            $('#ie').hide();
            $('#en').hide();
            $('#gr').hide();
            $('#pt').hide();
        }
    </script>
    <script type="text/javascript">

        $(document).ready(function () {
            hidepar();


        });
        $('#ParCourses').change(function () {
            hidepar();

            var cval = $('#ParCourses :selected').text();

            if (cval == "IELTS") {
                $('#parie').show();
            }
            if (cval == "GRAMMAR") {
                $('#pargr').show();
            }
            if (cval == "ENDEAVOUR") {
                $('#paren').show();
            }

            if (cval == "PTE") {
                $('#pteg').show();
            }
        });


        $("#getdatabtn").click(function () {

            var cid = $('#ParCourses').val();
            var cval = $('#ParCourses :selected').text();
            var gid = 0;
            if (cval == "IELTS") {
                gid = $("#parie").val();
            }
            if (cval == "GRAMMAR") {
                gid = $('#pargr').val();

            }
            if (cval == "ENDEAVOUR") {
                gid = $('#paren').val();
            }

            if (cval == "PTE") {
                gid = $('#pteg').val();
            }
            $.get("/MaCourse/_GroupList", { sid: gid }, function (data) {
    $("#grplst").html(data);
            });
        });
        function hidepar() {
            $('#parie').hide();
            $('#paren').hide();
            $('#pargr').hide();
            $('#pteg').hide();
        }
        $(document).ready(function () {

            /*-----------------gmail type check/uncheck All---------------------- */

            $("#chk_all").live("click", function () {
                if ($("#chk_all").attr('checked')) {
                    $('input[type="checkbox"]').attr('checked', true);
                }
                else {
                    $('input[type="checkbox"]').attr('checked', false);
                }
            });
 });
    </script>
}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)
  SSCWebDBEntities1 db = new SSCWebDBEntities1();
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Assign Code
        </h1>
    </div>
    <ul class="breadcrumb">
        <li>@Html.ActionLink("Home", "Index", "MaCourse") <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="button" value="Create" id="Createbtn" class="btn btn-primary" />
                <input type="reset" value="Cancel" class="btn btn-primary" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <fieldset>
                            <legend>Assign Time Code</legend>
                            <table>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    Course
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @{
                                            ViewBag.Courses = new SelectList(db.MaCourses.ToList(), "Id", "CourseName");
                                        }
                                        @Html.DropDownList("Courses", "Select")
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Groups
                                    </td>
                                    <td>
                                        @{
                                            var listIELTS = new List<ListItem>();
                                            listIELTS.Add(new ListItem { Text = "FLYER", Value = "FLYER" });
                                            listIELTS.Add(new ListItem { Text = "ASPIRANT", Value = "ASPIRANT" });
                                            listIELTS.Add(new ListItem { Text = "STARTER", Value = "STARTER" });

                                            ViewBag.IELTS = listIELTS;

                                            var listGRAM = new List<ListItem>();

                                            listGRAM.Add(new ListItem { Text = "GRAMMAR", Value = "GRAMMAR" });

                                            ViewBag.Grammar = listGRAM;

                                            var listEND = new List<ListItem>();
                                            listEND.Add(new ListItem { Text = "ENDEAVOUR", Value = "ENDEAVOUR" });

                                            ViewBag.End = listEND;

                                            var ptelist = new List<ListItem>();
                                            ptelist.Add(new ListItem { Text = "PTE", Value = "PTE" });

                                            ViewBag.Pte = ptelist;
                                        }
                                        @Html.DropDownList("ie", new SelectList(listIELTS))
                                        @Html.DropDownList("gr", new SelectList(listGRAM))
                                        @Html.DropDownList("en", new SelectList(listEND))
                                        @Html.DropDownList("pt", new SelectList(ptelist))
                                    </td>
                                </tr>
                            </table>
                            <br />
                        </fieldset>
                        <br />
                        <fieldset>
                            <legend>Filter Time Codes</legend>
                            <table>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    Course
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @{
                                            ViewBag.ParCourses = new SelectList(db.MaCourses.ToList(), "Id", "CourseName");
                                        }
                                        @Html.DropDownList("ParCourses", "Select")
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Groups
                                    </td>
                                    <td>
                                        @Html.DropDownList("parie", new SelectList(listIELTS))
                                        @Html.DropDownList("pargr", new SelectList(listGRAM))
                                        @Html.DropDownList("paren", new SelectList(listEND))
                                        @Html.DropDownList("pteg", new SelectList(ptelist))
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <input type="button" class="btn btn-primary" value="GetData" id="getdatabtn" />
                                    </td>
                                </tr>
                            </table>
                        </fieldset>
                        <div id="grplst">
                            @Html.Action("_GroupList")
                        </div>
                        <input type="button" value="submit" id="updateselection" />
                        <input type="button" id="refreshbtn" value="Refresh" />
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>
                                            }
